[kde] Home directory isn't your home

Bug #364197 reported by Tathosh on 2009-04-20
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
software-properties (Ubuntu)
Low
Michael Vogt

Bug Description

When I hit Import Key File button in Software Sources on Authentication tab, system displays dialogue box with Home folder activated, but there are no subfolders visible (please see the attached screenshot), so I cannot find Key File saved in my Documents folder.

I am using Kubuntu 9.04 RC.

Tathosh (fedurco) wrote :
Tathosh (fedurco) wrote :

Sorry, I have forgotten to mention. I am using amd64 version of Kubuntu 9.04 RC.

Brian Murray (brian-murray) wrote :

Apparently Home in this context isn't really taking one to their home directory. One can navigate around this by going to Root > Home > username.

affects: ubuntu → software-properties (Ubuntu)
Changed in software-properties (Ubuntu):
status: New → Triaged
summary: - Software Sources -> Import Key File
+ Software Sources - Home directory isn't your home
Changed in software-properties (Ubuntu):
importance: Undecided → Low

I've suffered the same issue. Presumably, because you've entered your sudo password to open this dialogue, it's displaying /root rather than /home/[username]

the command:

sudo nautilus

produces the same result (as expected and desired).

Does this bug affect other applications that require sudo privileges to run? Even if it doesn't it's a little annoying.

Tathosh (fedurco) wrote :

It seems this bug does not affect any other applications that requires sudo privileges. At least I did not notice it.

Lightbreeze (nedhoy-gmail) wrote :

Is this just Kubuntu? I am running Ubuntu Jaunty and 'Import Key File...' goes straight to my home directory.

On Jun 21, 2009 1:50 PM, "Lightbreeze"
<<email address hidden><nedhoy%<email address hidden>>>
wrote:

Is this just Kubuntu? I am running Ubuntu Jaunty and 'Import Key
File...' goes straight to my home directory.

-- Software Sources - Home directory isn't your home
https://bugs.launchpad.net/bugs/364197 You re...

Joseph Reeves (iknowjoseph) wrote :

No, am running Ubuntu 9.04 and am affected.

On Jun 21, 2009 1:50 PM, "Lightbreeze"
<<email address hidden><nedhoy%<email address hidden>>>
wrote:

Is this just Kubuntu? I am running Ubuntu Jaunty and 'Import Key
File...' goes straight to my home directory.

-- Software Sources - Home directory isn't your home
https://bugs.launchpad.net/bugs/364197 You re...

Michael Vogt (mvo) on 2009-07-13
summary: - Software Sources - Home directory isn't your home
+ [kde] Home directory isn't your home
Michael Vogt (mvo) on 2009-07-13
Changed in software-properties (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
status: Triaged → Fix Committed
Vish (vish) on 2009-07-13
Changed in hundredpapercuts:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.75

---------------
software-properties (0.75) karmic; urgency=low

  * new helper script "add-apt-repository" that can be used to
    enable a repository from the commandline. Useful for e.g.
    'add-apt-repository ppa:gnome-desktop'
  * fix error in auto-upgrade settings when
    dpkg-reconfigure unattended-upgrades was used (LP: #387704)
  * po/zh_TW.po:
    - updated, thanks to Roy Chan (LP: #365040)
  * softwareproperties/kde/SoftwarePropertiesKDE.py:
    - do not error on cancel (LP: #364288)
    - use the SUDO_USER home instead of /root (if available)
      (LP: #364197)
    - add utf8() function and replace the custom converts to it
      (hopefully fixes LP: #362188)
    - disable "Find best server" for now, the threading crashing
      KDE
  * softwareproperties/gtk/DialogCacheOutdated.py:
    - fix incorrect wait on synaptic (LP: #357617, LP: #349639)
  * softwareproperties/SoftwareProperties.py:
    - check/ensure apt daily cron job is executable (LP: #390319)

 -- Michael Vogt <email address hidden> Tue, 14 Jul 2009 16:54:38 +0200

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
Changed in hundredpapercuts:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments